# Dala's NixOS flake config

This is my Nix flake configuration for all my machines.
To build it, you can just run
```bash
nixos-rebuild switch --flake sr.ht:~dala/nixos-flake-config#{machine_name}
```

## Structure

Here is the structure of the project:

```
modules/ (Custom modules and wrappers around nixpkgs options)
|- server/ (Custom options for servers)
|- workstation/ (Custom options for personnal workstation)

configurations/ (Machines configuration defined with my custom modules' option)

```
