{ lib, config, ... }:
with lib;
{
  options.enableBluetooth = mkOption {
    type = types.bool;
    default = true;
    example = false;
    description = ''
      Enable the bluetooth stack
    '';
  };

  config = mkIf config.enableBluetooth {
    hardware.bluetooth = {
      enable = true;
    };
    services.blueman.enable = true;
  };
}
